/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.enums;

import java.util.HashMap;

import com.redhat.rhevm.api.model.VmType;

public enum PowerShellVmType {
    Desktop(0, VmType.DESKTOP), Server(1, VmType.SERVER);

    private static HashMap<Integer, PowerShellVmType> mapping;
    static {
        mapping = new HashMap<Integer, PowerShellVmType>();
        for (PowerShellVmType value : values()) {
            mapping.put(value.value, value);
        }
    }

    private int value;
    private VmType model;

    private PowerShellVmType(int value, VmType model) {
        this.value = value;
        this.model = model;
    }

    public int getValue() {
        return value;
    }

    public VmType map() {
        return model;
    }

    public static PowerShellVmType forValue(int value) {
        return mapping.get(value);
    }
}
