/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.List;

import com.redhat.rhevm.api.model.Ticket;
import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellTicket {

    public static Ticket parse(PowerShellParser parser, String output) {
        List<PowerShellParser.Entity> entities = parser.parse(output);
        Ticket ticket = null;
        if (!(entities == null || entities.isEmpty())) {
            PowerShellParser.Entity entity = entities.get(0);
            ticket = new Ticket();
            ticket.setValue(entity.get("ticket"));
            ticket.setExpiry((long)entity.get("validtime", Integer.class));
        }
        return ticket;
    }
}
