/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import java.text.MessageFormat;

import com.redhat.rhevm.api.model.Action;
import com.redhat.rhevm.api.powershell.util.PowerShellCmd;
import com.redhat.rhevm.api.powershell.util.PowerShellPool;
import com.redhat.rhevm.api.powershell.util.PowerShellUtils;


class CommandRunner extends AbstractPowerShellActionTask {

    private static final String COMMAND = "{0} -{1}id {2}";

    private PowerShellPool pool;

    CommandRunner(Action action, String command, PowerShellPool pool) {
        super(action, command);
        this.pool = pool;
    }

    CommandRunner(Action action, String command, String type, String id, PowerShellPool pool) {
        this(action, MessageFormat.format(COMMAND, command, type, PowerShellUtils.escape(id)), pool);
    }

    public void execute() {
        handleOutput(PowerShellCmd.runCommand(pool, command));
    }

    protected void handleOutput(String output) {
        // no-op by default
    }
}
