/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import javax.ws.rs.WebApplicationException;

import com.redhat.rhevm.api.model.BaseDevice;
import com.redhat.rhevm.api.model.BaseDevices;
import com.redhat.rhevm.api.resource.DeviceResource;


public class PowerShellDeviceResource<D extends BaseDevice, C extends BaseDevices>
    extends PowerShellReadOnlyDeviceResource<D, C>
    implements DeviceResource<D> {

    protected static final int NOT_IMPLEMENTED = 501;

    public PowerShellDeviceResource(AbstractPowerShellDevicesResource<D, C> parent, String deviceId) {
        super(parent, deviceId);
    }

    @Override
    public D update(D device) {
        throw new WebApplicationException(NOT_IMPLEMENTED);
    }
}
